<template>
  <div id="chart-origins" style="height: 150px"></div>
</template>

<script>
import * as am4core from "@amcharts/amcharts4/core";
import * as am4charts from "@amcharts/amcharts4/charts";
import am4themes_animated from "@amcharts/amcharts4/themes/animated";
am4core.useTheme(am4themes_animated);

export default {
  mounted() {
    this.createChartOrigins();
  },
  methods: {
    createChartOrigins() {
      var chartOrigins = am4core.create("chart-origins", am4charts.PieChart);
      chartOrigins.data = [
        {
          origin: "Aplicativo",
          percentage: 58.9,
        },
        {
          origin: "Site",
          percentage: 31.9,
        },
        {
          origin: "Telefone",
          percentage: 10.9,
        },
      ];

      var pieSeries = chartOrigins.series.push(new am4charts.PieSeries());
      pieSeries.dataFields.value = "percentage";
      pieSeries.dataFields.category = "origin";
      chartOrigins.innerRadius = am4core.percent(50);
      pieSeries.labels.template.disabled = true;
      pieSeries.ticks.template.disabled = true;
      chartOrigins.legend = new am4charts.Legend();
      chartOrigins.legend.position = "right";
      chartOrigins.legend.fontSize = "10px";
    },
  },

  beforeDestroy() {
    if (this.chartOrigins) {
      this.chartOrigins.dispose();
    }
  },
};
</script>
